## org.codehaus.groovy.binding
Class EventTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.EventTriggerBinding

All Implemented Interfaces:
  TriggerBinding

    public class EventTriggerBinding

extends Object
implements TriggerBinding

Since:
  Groovy 1.1
Version:
  $Revision: 7892 $
Author:
  Danno Ferrin

Constructor Summary
`EventTriggerBinding(Object triggerBean, String eventName)`

Method Summary
`FullBinding` `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
`String` `getEventName()`
`Object` `getTriggerBean()`
`void` `setEventName(String eventName)`
`void` `setTriggerBean(Object triggerBean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventTriggerBinding

    public EventTriggerBinding(Object triggerBean,
                               String eventName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding,
                                     TargetBinding targetBinding)

  Specified by:
    `createBinding` in interface `TriggerBinding`

### getTriggerBean

    public Object getTriggerBean()

### setTriggerBean

    public void setTriggerBean(Object triggerBean)

### getEventName

    public String getEventName()

### setEventName

    public void setEventName(String eventName)

Copyright © 2003-2008 The Codehaus. All rights reserved.